[arch-commits] Commit in rep-gtk/trunk (PKGBUILD)

Jan de Groot jgc at archlinux.org
Sun May 3 16:55:47 EDT 2009


    Date: Sunday, May 3, 2009 @ 16:55:47
  Author: jgc
Revision: 37783

upgpkg: rep-gtk 0.18.5-1
    Remove libglade dependency, it is no longer included

Modified:
  rep-gtk/trunk/PKGBUILD

----------+
 PKGBUILD |   14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-05-03 20:00:25 UTC (rev 37782)
+++ PKGBUILD	2009-05-03 20:55:47 UTC (rev 37783)
@@ -2,19 +2,19 @@
 # Maintainer: Juergen Hoetzel <juergen at archlinux.org>
 
 pkgname=rep-gtk
-pkgver=0.18.4
+pkgver=0.18.5
 pkgrel=1
 pkgdesc="Binding of the GTK and GDK libraries for the librep Lisp environment"
 arch=('i686' 'x86_64')
 url="http://rep-gtk.sourceforge.net/"
 license=('GPL')
-depends=('librep' 'libglade')
-source=(http://downloads.sourceforge.net/sourceforge/$pkgname/$pkgname-$pkgver.tar.bz2)
-md5sums=('00d76536b2aae604d1dbedbbe622b8b2')
+depends=('librep>=0.17.3' 'gtk2>=2.16.1')
+source=(http://downloads.sourceforge.net/sourceforge/${pkgname}/${pkgname}-${pkgver}.tar.bz2)
+md5sums=('da2560cff3363ea6d580f7dfc277e365')
 
 build() {
-  cd $srcdir/$pkgname-$pkgver
-  ./configure --prefix=/usr --with-libglade
+  cd "${srcdir}/${pkgname}-${pkgver}"
+  ./configure --prefix=/usr || return 1
   make || return 1
-  make DESTDIR=$pkgdir install
+  make DESTDIR="${pkgdir}" install || return 1
 }



More information about the arch-commits mailing list